'+-+-+ +-+-+-+-+ +-+-+-+-+
'|D|a| |S|p|u|d| |L|o|r|d|
'+-+-+ +-+-+-+-+ +-+-+-+-+

game_path = ""
verbose = false
wait = true
If WScript.Arguments.Count > 0 Then
	For count_params = 0 To WScript.Arguments.Count - 1
		If strComp(WScript.Arguments.Item(count_params),"-gamepath") = 0 and WScript.Arguments.Count > (count_params + 1) Then
			game_path = WScript.Arguments.Item(count_params + 1)
		ElseIf strComp(WScript.Arguments.Item(count_params),"-verbose") = 0 Then
			verbose = true
		ElseIf strComp(WScript.Arguments.Item(count_params),"-nowait") = 0 Then
			wait = false
		End If
	Next
End If
WScript.Interactive = verbose
If strComp(game_path,"") Then
	game_name = Split(game_path,"\")(UBound(Split(game_path,"\")))
	
	WScript.Echo "Checking to see if " & game_name & " is running..."
	Set windowsWMI = GetObject("winmgmts:")
	game_running = false
	for each process in windowsWMI.InstancesOf ("Win32_Process")
		If strComp(process.Name,game_name) = 0 Then
			game_running = true
		End If
	Next
	
	If game_running Then
		WScript.Echo game_name & " is running, closing game..."
		CreateObject("WScript.Shell").Run """" & game_path & """" & " -hijack +quit"
		
		If wait Then
			WScript.Echo "Quit command sent, waiting for " & game_name & " to exit..."
			Do
				WScript.Sleep 1000
				game_running = false
				for each process in windowsWMI.InstancesOf ("Win32_Process")
					If strComp(process.Name,game_name) = 0 Then
						game_running = true
					End If
				Next
			Loop While game_running
			
			WScript.Echo "Done."
		Else
			WScript.Echo "Quit command sent."
		End If
	Else
		WScript.Echo game_name & " is not running."
	End If
Else
	WScript.Echo "Error: Game path not specified"
End If