'+-+-+ +-+-+-+-+ +-+-+-+-+
'|D|a| |S|p|u|d| |L|o|r|d|
'+-+-+ +-+-+-+-+ +-+-+-+-+

delay = 10
hibernate = false
verbose = false
If WScript.Arguments.Count > 0 Then
	For count_params = 0 To WScript.Arguments.Count - 1
		If strComp(WScript.Arguments.Item(count_params),"-delay") = 0 and WScript.Arguments.Count > (count_params + 1) Then
			delay = WScript.Arguments.Item(count_params + 1)
		ElseIf strComp(WScript.Arguments.Item(count_params),"-hibernate") = 0 Then
			hibernate = true
		ElseIf strComp(WScript.Arguments.Item(count_params),"-verbose") = 0 Then
			verbose = true
		End If
	Next
End If
Set windowsShell = CreateObject("WScript.Shell")
WScript.Interactive = verbose
If NOT isNumeric(delay) Then
	WScript.Echo "Error: Invalid delay value '" & delay & "', using default 10"
	delay = 10
End If

input = 0
If hibernate Then
	WScript.Echo "Hibernation mode detected. Hibernating in " & delay & " seconds."
	If delay > 0 Then
		WScript.Interactive = true
		input = windowsShell.Popup("Computer will hibernate in " & delay & " seconds. Press 'Cancel' to abort.",delay,"Hibernate",17) 'The shutdown.exe command will not accept a delay when hibernation is used. As such, this alternate method of creating a popup with a built-in delay had to be used.
		WScript.Interactive = verbose
	End If
	
	If input = 2 Then
		WScript.Echo "Hibernation aborted."
	Else
		windowsShell.Run "shutdown.exe -h -f"
	End If
Else
	WScript.Echo "Shutting down in " & delay & " seconds..."
	windowsShell.Run "shutdown.exe -s -t " & delay & " -f"
	If delay > 0 Then
		WScript.Interactive = true
		input = MsgBox("Computer will shut down in " & delay & " seconds. Press 'Cancel' to abort.",17,"Shutdown")
		WScript.Interactive = verbose
	End If
	If input = 2 Then
		windowsShell.Run "shutdown.exe -a"
		WScript.Echo "Shutdown aborted."
	End If
End If