'+-+-+ +-+-+-+-+ +-+-+-+-+
'|D|a| |S|p|u|d| |L|o|r|d|
'+-+-+ +-+-+-+-+ +-+-+-+-+

steam_path = "C:\Program Files (x86)\Steam\Steam.exe"
verbose = false
If WScript.Arguments.Count > 0 Then
	For count_params = 0 To WScript.Arguments.Count - 1
		If strComp(WScript.Arguments.Item(count_params),"-steampath") = 0 and WScript.Arguments.Count > (count_params + 1) Then
			steam_path = WScript.Arguments.Item(count_params + 1)
		ElseIf strComp(WScript.Arguments.Item(count_params),"-verbose") = 0 Then
			verbose = true
		End If
	Next
End If
WScript.Interactive = verbose

WScript.Echo "Running Steam check..."
steam_running = false
for each process in GetObject("winmgmts:").InstancesOf ("Win32_Process")
	If strComp(process.Name,"Steam.exe") = 0 Then
		steam_running = true
	End If
Next

If steam_running Then 
	WScript.Echo "Steam is already running."
Else
	WScript.Echo "Steam is not running. Launching Steam..."
	If strComp(Right(steam_path,9),"Steam.exe") Then
		WScript.Echo "Error: Specified file '" & steam_path & "' is not Steam.exe"
	ElseIf CreateObject("Scripting.FileSystemObject").FileExists(steam_path) Then
		Set appLauncher = CreateObject("WScript.Shell")
		appLauncher.run """" & steam_path & """", 7
		WScript.Echo "Done."
	Else
		WScript.Echo "Error: Steam application file doesn't exist!"
	End If
End If